=== debian/changelog ===
ros-melodic-moveit-planners-ompl (1.0.7-1stretch) stretch; urgency=high

  * [feature] Melodic backports in ompl interface (cleanup) (#2277 <https://github.com/ros-planning/moveit/issues/2277>)
    * add consistent named logging to ompl interface
    * add named logging to the ompl planner service script
    * Remove dead code from ompl interface (related to subspaces and state validity cache)
    * add some documentation to the ompl interface
    * fix clang-tidy warnings in ompl interface
    * fix some spelling errors in the ompl interface
    * fix melodic specific clang-tidy warnings in ompl interface
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, Jeroen

 -- Dave Coleman <dave@picknik.ai>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.6-1stretch) stretch; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [fix]   Fix memcpy bug in copyJointToOMPLState in ompl interface (#2239 <https://github.com/ros-planning/moveit/issues/2239>)
  * Contributors: Jeroen, Markus Vieth, Robert Haschke, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.5-1stretch) stretch; urgency=high

  * [feature] Added support for hybridize/interpolate flags in ModelBasedPlanningContext via ompl_planning.yaml (#2171 <https://github.com/ros-planning/moveit/issues/2171>, #2172 <https://github.com/ros-planning/moveit/issues/2172>)
  * Contributors: Constantinos, Mark Moll

 -- Dave Coleman <dave@picknik.ai>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.4-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.3-1stretch) stretch; urgency=high

  * [maint] Cleanup OMPL dynamic reconfigure config (#1649 <https://github.com/ros-planning/moveit/issues/1649>)
    * Reduce minimum number of waypoints in solution to 2
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Michael Görner, Robert Haschke, Sean Yen, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.2-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.1-1stretch) stretch; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Fri, 08 Mar 2019 07:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.0-1stretch) stretch; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sun, 24 Feb 2019 07:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.8-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 24 Dec 2018 07:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.7-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 13 Dec 2018 07:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.6-1stretch) stretch; urgency=high

  * [fix] Fixed memory leak in OMPL planner (#1104 <https://github.com/ros-planning/moveit/issues/1104>)
    * Resolve circular reference to ompl::geometric::SimpleSetupPtr
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * [maintenance] Code Cleanup
    * #1179 <https://github.com/ros-planning/moveit/issues/1179>
    * #1196 <https://github.com/ros-planning/moveit/issues/1196>
  * Contributors: Alex Moriarty, Dave Coleman, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Sun, 09 Dec 2018 07:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.5-1stretch) stretch; urgency=high

  * [fix] Build regression (#1174 <https://github.com/ros-planning/moveit/issues/1174>)
  * Contributors: Chris Lalancette

 -- Dave Coleman <dave@dav.ee>  Thu, 01 Nov 2018 06:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.4-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.3-1stretch) stretch; urgency=high

  * [maintenance] Use locale independent conversion from double to string (#1099 <https://github.com/ros-planning/moveit/issues/1099>)
  * Contributors: Simon Schmeisser

 -- Dave Coleman <dave@dav.ee>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.2-1stretch) stretch; urgency=high

  * [capability] adaptions for OMPL 1.4 (#903 <https://github.com/ros-planning/moveit/issues/903>)
  * Contributors: Dave Coleman, Michael Görner, Mikael Arguedas, Mohmmad Ayman, Robert Haschke, mike lautman

 -- Dave Coleman <dave@dav.ee>  Wed, 24 Oct 2018 06:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.1-1stretch) stretch; urgency=high

  * migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * Make trajectory interpolation in MoveIt consistent to OMPL (#869 <https://github.com/ros-planning/moveit/issues/869>)

