## ros-melodic-moveit-planners-ompl 1.0.11

=== debian/changelog ===
ros-melodic-moveit-planners-ompl (1.0.11-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.10-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.9-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.8-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.7-1bionic) bionic; urgency=high

  * [feature] Melodic backports in ompl interface (cleanup) (#2277 <https://github.com/ros-planning/moveit/issues/2277>)
    * add consistent named logging to ompl interface
    * add named logging to the ompl planner service script
    * Remove dead code from ompl interface (related to subspaces and state validity cache)
    * add some documentation to the ompl interface
    * fix clang-tidy warnings in ompl interface
    * fix some spelling errors in the ompl interface
    * fix melodic specific clang-tidy warnings in ompl interface
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, Jeroen

 -- Dave Coleman <dave@picknik.ai>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.6-1bionic) bionic; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [fix]   Fix memcpy bug in copyJointToOMPLState in ompl interface (#2239 <https://github.com/ros-planning/moveit/issues/2239>)
  * Contributors: Jeroen, Markus Vieth, Robert Haschke, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.5-1bionic) bionic; urgency=high

  * [feature] Added support for hybridize/interpolate flags in ModelBasedPlanningContext via ompl_planning.yaml (#2171 <https://github.com/ros-planning/moveit/issues/2171>, #2172 <https://github.com/ros-planning/moveit/issues/2172>)
  * Contributors: Constantinos, Mark Moll

 -- Dave Coleman <dave@picknik.ai>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.4-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.3-1bionic) bionic; urgency=high

  * [maint] Cleanup OMPL dynamic reconfigure config (#1649 <https://github.com/ros-planning/moveit/issues/1649>)
    * Reduce minimum number of waypoints in solution to 2
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Michael Görner, Robert Haschke, Sean Yen, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Sat, 25 Apr 2020 22:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.2-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.1-1bionic) bionic; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-moveit-planners-ompl (1.0.0-1bionic) bionic; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sat, 23 Feb 2019 23:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.8-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sun, 23 Dec 2018 23:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.7-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@dav.ee>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.6-1bionic) bionic; urgency=high

  * [fix] Fixed memory leak in OMPL planner (#1104 <https://github.com/ros-planning/moveit/issues/1104>)
    * Resolve circular reference to ompl::geometric::SimpleSetupPtr
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * [maintenance] Code Cleanup
    * #1179 <https://github.com/ros-planning/moveit/issues/1179>
    * #1196 <https://github.com/ros-planning/moveit/issues/1196>
  * Contributors: Alex Moriarty, Dave Coleman, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.5-1bionic) bionic; urgency=high

  * [fix] Build regression (#1174 <https://github.com/ros-planning/moveit/issues/1174>)
  * Contributors: Chris Lalancette

 -- Dave Coleman <dave@dav.ee>  Wed, 31 Oct 2018 23:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.4-1bionic) bionic; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.3-1bionic) bionic; urgency=high

  * [maintenance] Use locale independent conversion from double to string (#1099 <https://github.com/ros-planning/moveit/issues/1099>)
  * Contributors: Simon Schmeisser

 -- Dave Coleman <dave@dav.ee>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-planners-ompl (0.10.2-1bionic) bionic; urgency=high

  * [capability] adaptions for OMPL 1.4 (#903 <https://github.com/ros-planning/moveit/issues/903>)

