=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Dave Coleman <dave@picknik.ai>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-moveit-core, ros-melodic-moveit-resources-pr2-description, ros-melodic-moveit-ros-planning, ros-melodic-ompl, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rosunit, ros-melodic-tf2-ros
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-moveit-core, ros-melodic-moveit-resources-pr2-description <!nocheck>, ros-melodic-moveit-ros-planning, ros-melodic-ompl, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rosunit <!nocheck>, ros-melodic-tf2-ros
 Homepage: http://moveit.ros.org
 Standards-Version: 3.9.2
